Bug 1123627

Summary: Bad systemd init file.
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: redisAssignee: Haïkel Guémar <karlthered>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: fabian.deutsch, i, karlthered, silas
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: redis-2.8.15-1.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-03 03:58:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Remi Collet 2014-07-27 11:03:03 UTC
Defautl configuration provides daemonize yes, but systemd unit have no Type value (which means Type=simple), which expect a not forking daemon.

1/ poor solution

add Type=forking

2/ best solution

keep Type=simple and add  --daemonize no  option to command line.

I also think the ExecStartPre is not needed

Comment 1 Fedora Admin XMLRPC Client 2014-09-11 01:35:10 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Update System 2014-09-11 17:06:56 UTC
redis-2.8.14-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/redis-2.8.14-1.fc21

Comment 3 Fedora Update System 2014-09-11 22:12:05 UTC
Package redis-2.8.14-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing redis-2.8.14-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10699/redis-2.8.14-1.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-09-13 13:34:52 UTC
redis-2.8.15-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/redis-2.8.15-1.fc21

Comment 5 Fedora Update System 2014-10-03 03:58:09 UTC
redis-2.8.15-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.